<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Course Goals</h1>
    </header>
    <section id="user-goals">
      <h2>My course goals</h2>
      <input type="text" v-model="uservalue" />
      <button @click="addgoal">Add Goal</button>
      <p v-if="goals.length ===0">
        No goals have been added yet - please start adding some!
      </p>
      <ul v-else-if="goals.length >0">
        <li
          v-for="(goal,index) in goals"
          :key="goal"
          @click="removegoal(index)"
        >
        <p> {{ goal }}--{{index}}</p>
        <input type="text" @click.stop />
        </li>
      </ul>
      <ul>
        <li
          v-for="(value,key,index) in {food:'briyani',place:'chennai',age:10}"
        >
          {{value}}-{{key}}{{index}}
        </li>
      </ul>
      <ul>
        <li v-for="num in 100">
          {{num}}

        </li>
      </ul>
    </section>
  </body>
</html>
